Loading...
Searching...
No Matches
Ogre::PCZIntersectionSceneQuery Class Reference

PCZ implementation of IntersectionSceneQuery. More...

`#include <OgrePCZSceneQuery.h>`

Inheritance diagram for Ogre::PCZIntersectionSceneQuery:
[legend]

## Public Member Functions

| PCZIntersectionSceneQuery (SceneManager *creator)
| ~PCZIntersectionSceneQuery ()
void | execute (IntersectionSceneQueryListener *listener) override
| See IntersectionSceneQuery.
Public Member Functions inherited from Ogre::DefaultIntersectionSceneQuery
| DefaultIntersectionSceneQuery (SceneManager *creator)
| ~DefaultIntersectionSceneQuery ()
Public Member Functions inherited from Ogre::IntersectionSceneQuery
| IntersectionSceneQuery (SceneManager *mgr)
virtual | ~IntersectionSceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual IntersectionSceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
virtual IntersectionSceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
bool | queryResult (MovableObject *first, MovableObject *second) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (MovableObject *movable, SceneQuery::WorldFragment *fragment) override
| Self-callback in order to deal with execute which returns collection.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::IntersectionSceneQueryListener
virtual | ~IntersectionSceneQueryListener ()

## Additional Inherited Members

Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

PCZ implementation of IntersectionSceneQuery.

## Constructor & Destructor Documentation

## PCZIntersectionSceneQuery()

Ogre::PCZIntersectionSceneQuery::PCZIntersectionSceneQuery | ( | SceneManager * | creator | ) |

## ~PCZIntersectionSceneQuery()

Ogre::PCZIntersectionSceneQuery::~PCZIntersectionSceneQuery | ( |  | ) |

## Member Function Documentation

## execute()

void Ogre::PCZIntersectionSceneQuery::execute | ( | IntersectionSceneQueryListener * | listener | ) |

override virtual

See IntersectionSceneQuery.

Reimplemented from Ogre::DefaultIntersectionSceneQuery.

The documentation for this class was generated from the following file:

- OgrePCZSceneQuery.h